{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            LISTADO PRODUCTOS <div class="weight-600 font-30 text-blue">
              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                NUEVO PRODUCTO
              </button></div>
          </h4>
        </div>
        <div class="col-md-8">
        </div>
      </div>
    </div>
    <table class="table" cellspacing="0" width="100%" id="mitab">
    <thead>
        <tr>
            <td>ID</td>
            <td>NOMBRE</td>
            <td>DESCRIPCION</td>
            <td>STOCK</td>
            <td>PROVEEDOR </td>
            <td>FECHA ENTRADA</td>
            <td>ACCIONES</td>
        </tr>
    </thead>
    <tbody>
        {% for producto in productos %}
        <tr>
            <td>{{producto.id}}</td>
            <td>{{producto.nombre}}</td>
            <td>{{producto.descripcion}}</td>
            <td>{{producto.cantidad_stock}}</td>
            <td>{{producto.proveedor}}</td>
            <td>{{producto.fecha_entrada}}</td>
            <td>
                <a href="/editarProducto/{{producto.id}}" class="btn btn-warning">EDITAR</a>
                <a href="javascript:void(0)"
                    onclick="eliminar('/eliminarProducto/{{producto.id}}');"
                    class="btn btn-danger">
                    Eliminar
                </a>
            </td>
        </tr>
        {% endfor%}
    </tbody>
</table>
<script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $('#mitab').DataTable({
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'pdfHtml5',
                    messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                },
                'print',
                'csv'
            ],
            "language": {
                "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json"
            }
            // Puedes agregar más opciones según tus requisitos
        });
    });
</script>
    </div>
  </div>
  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content ">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form class="" action="/guardarProducto/" method="post" enctype="multipart/form-data" id="frm_marca">
            {% csrf_token %}
            <div class="row">
              <div class="col-md-6">
                <label for="id_nombre">Nombre:</label>
                <input type="text" id="nombre" name="nombre" maxlength="100" required class="form-control" >
              </div>
              <div class="col-md-6">
                <label for="id_cantidad_stock">Cantidad en stock:</label>
                <input type="number" id="cantidad_stock" name="cantidad_stock" value="0" required class="form-control" >
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <label for="id_proveedor">Proveedor:</label>
                <input type="text" id="proveedor" name="proveedor" maxlength="100" required class="form-control" >
              </div>
              <div class="col-md-12">
                <label for="id_descripcion">Descripción:</label>
                <textarea id="descripcion" name="descripcion" required class="form-control" ></textarea>
              </div>
            </div>
            <div class="col-md-12 mt-3">
              <center>
                <button type="submit" class="btn btn-primary"><i class="bi bi-floppy"></i>&nbsp; Guardar Marca</button>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
              </center>
            </div>
          </form>
        </div>
        <div class="modal-footer">
        </div>
      </div>
    </div>
  </div>
{% endblock %}
